Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156979 - m2crypto not python-2.4 happy
Summary: m2crypto not python-2.4 happy
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: m2crypto
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-05-05 20:40 UTC by Konstantin Ryabitsev
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.13-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-31 21:26:16 UTC


Attachments (Terms of Use)

Description Konstantin Ryabitsev 2005-05-05 20:40:13 UTC
Description of problem:
There are a few things that make m2crypto not work with python-2.4. The most
notable is the following bug, which makes https connections impossible:
https://bugzilla.osafoundation.org/show_bug.cgi?id=2840

You may want to also investigate other bugs with patches on this page:
https://bugzilla.osafoundation.org/buglist.cgi?query_format=&short_desc_type=allwordssubstr&short_desc=&product=M2Crypto&long_desc_type=substring&long_desc=&bug_file_loc_type=allwordssubstr&bug_file_loc=&status_whiteboard_type=allwordssubstr&status_whiteboard=&keywords_type=allwords&keywords=&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=substring&email1=&emailassigned_to2=1&emailreporter2=1&emailcc2=1&emailtype2=substring&email2=&bugidtype=include&bug_id=&votes=&chfieldfrom=&chfieldto=Now&chfieldvalue=&field0-0-0=noop&type0-0-0=noop&value0-0-0=&order=bugs.bug_id

Version-Release number of selected component (if applicable):
m2crypto-0:0.13-2.i386

If the HTTPSConnection bug could be patched, that would be enough for me, though. :)

Comment 1 Miloslav Trmač 2005-05-31 21:26:16 UTC
httpslib patched in m2crypto-0.13-3 (post-FC4).

In the future, please try to describe a way to reproduce the problem,
the bug does not "make https connections impossible":

Python 2.4.1 (#1, Apr  6 2005, 14:01:51)
[GCC 4.0.0 20050405 (Red Hat 4.0.0-0.40)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import M2Crypto
>>> h = M2Crypto.httpslib.HTTPSConnection('bugzilla.redhat.com')
>>> h.putrequest('GET', '/')
>>> h.endheaders()
>>> r = h.getresponse()
>>> r.read()
'<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">\n<html><head>\n<title>302
Found</title>\n</head><body>\n<h1>Found</h1>\n<p>The document has moved <a
href="https://bugzilla.redhat.com/bugzilla/index.cgi">here</a>.</p>\n<hr
/>\n<address>Apache/2.0.46 (Red Hat) Server at bugzilla.redhat.com Port
443</address>\n</body></html>\n'


Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.